=== debian/changelog ===
cbmc (3.9+r41-3) unstable; urgency=low

  * Fix another FTBFS for ambiguous overload, missing freebsd kernel define

 -- Michael Tautschnig <mt@debian.org>  Sat, 14 May 2011 16:11:44 +0200

cbmc (3.9+r41-2) unstable; urgency=low

  * Corrected build-depends to fix FTBFS
  * Added gcc as depends

 -- Michael Tautschnig <mt@debian.org>  Sat, 14 May 2011 14:57:05 +0200

cbmc (3.9+r41-1) unstable; urgency=low

  * Initial upload (closes: #626635)
  * Version 3.9 + all changes of SVN r41

 -- Michael Tautschnig <mt@debian.org>  Fri, 13 May 2011 23:54:50 +0200
