## cbmc 4.0

=== src/Makefile ===
--- 
+++ 
@@ -9,6 +9,9 @@
 ###############################################################################
 
 util.dir: big-int.dir
+
+# everything depends on util
+$(patsubst %, %.dir, $(filter-out big-int util, $(DIRS))): util.dir
 
 languages: util.dir langapi.dir \
            cpp.dir ansi-c.dir xmllang.dir
@@ -25,7 +28,7 @@
 	$(MAKE) $(MAKEARGS) -C $(basename $@)
 
 clean: $(patsubst %, %_clean, $(DIRS))
-	rm -f *.o
+	rm -f *.o $(shell find . -name "*.d")
 
 dep: $(patsubst %, %_dep, $(DIRS))
