=== src/ansi-c/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
       c_typecheck_expr.cpp c_typecheck_type.cpp string_constant.cpp \
       c_qualifiers.cpp c_typecheck_argc_argv.cpp ansi_c_parse_tree.cpp \
       preprocessor_line.cpp ansi_c_convert.cpp ansi_c_convert_type.cpp \
-      type2name.cpp cprover_library.cpp \
+      type2name.cpp cprover_library.cpp anonymous_member.cpp \
       printf_formatter.cpp internal_additions.cpp \
       ansi_c_declaration.cpp designator.cpp concatenate_strings.cpp \
       literals/parse_float.cpp literals/unescape_string.cpp \
@@ -35,7 +35,7 @@
         mv y.tab.cpp.h y.tab.h ; fi
 
 lex.yy.cpp: scanner.l
-	$(LEX) -Pyyansi_c -olex.yy.cpp scanner.l
+	$(LEX) -Pyyansi_c -o$@ scanner.l
 
 # extra dependencies
 y.tab$(OBJEXT): y.tab.cpp y.tab.h
