=== src/cbmc/Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 ###############################################################################
 
 cbmc$(EXEEXT): $(OBJ)
-	$(CXX) $(LINKFLAGS) -o $@ $(OBJ) $(LIBS)
+	$(LINKBIN) $(OBJ)
 
 clean:
 	rm -f $(SRC:.cpp=$(OBJEXT)) cbmc$(EXEEXT)
