=== src/goto-instrument/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 SRC = main.cpp parseoptions.cpp document_claims.cpp languages.cpp \
       uninitialized.cpp uninitialized_domain.cpp full_slicer.cpp \
-      object_id.cpp show_locations.cpp points_to.cpp
+      object_id.cpp show_locations.cpp points_to.cpp \
+      alignment_checks.cpp
 OBJ = $(SRC:.cpp=$(OBJEXT)) \
       ../ansi-c/ansi-c$(LIBEXT) \
       ../big-int/bigint$(OBJEXT) \
@@ -42,7 +43,7 @@
 ###############################################################################
 
 goto-instrument$(EXEEXT): $(OBJ)
-	$(CXX) $(LINKFLAGS) -o $@ $(OBJ) $(LIBS)
+	$(LINKBIN) $(OBJ)
 
 clean:
 	rm -f $(SRC:.cpp=$(OBJEXT)) goto-instrument$(EXEEXT)
