=== src/goto-symex/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
       symex_goto.cpp builtin_functions.cpp slice.cpp symex_other.cpp \
       slice_by_trace.cpp xml_goto_trace.cpp symex_decl.cpp \
       precondition.cpp postcondition.cpp symex_clean_expr.cpp \
-      symex_dereference_state.cpp
+      symex_dereference_state.cpp vcd_goto_trace.cpp auto_objects.cpp
 
 OBJ = $(SRC:.cpp=$(OBJEXT))
