=== src/util/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
       get_module.cpp string_hash.cpp string_container.cpp identifier.cpp \
       rational.cpp options.cpp c_misc.cpp simplify_expr.cpp dstring.cpp \
       find_symbols.cpp rational_tools.cpp ui_message.cpp simplify_utils.cpp \
-      time_stopping.cpp symbol.cpp \
+      time_stopping.cpp symbol.cpp irep_hash_container.cpp \
       type_eq.cpp guard.cpp array_name.cpp gcd.cpp message_stream.cpp \
       substitute.cpp decision_procedure.cpp union_find.cpp pretty_names.cpp \
       xml.cpp xml_irep.cpp std_types.cpp std_code.cpp \
@@ -31,6 +31,10 @@
   CXXFLAGS += -DHAVE_FLOATBV
 endif
 
+# all the others will need irep_ids.h,
+# which we first need to generate
+.NOTPARALLEL:
+
 ###############################################################################
 
 irep_ids.h: irep_ids_convert$(EXEEXT) irep_ids.txt
@@ -42,7 +46,7 @@
 irep_ids.cpp: irep_ids.inc irep_ids.h
 
 irep_ids_convert$(EXEEXT): irep_ids_convert$(OBJEXT)
-	$(CXX) $(LINKFLAGS) -o $@ irep_ids_convert$(OBJEXT)
+	$(LINKBIN) irep_ids_convert$(OBJEXT)
 
 $(OBJ): irep_ids.h
 
@@ -58,4 +62,4 @@
 ieee_float_test$(OBJEXT): irep_ids.h  
 
 ieee_float_test$(EXEEXT): ieee_float_test$(OBJEXT) ieee_float$(OBJEXT) util$(LIBEXT)
-	$(CXX) $(LINKFLAGS) -o $@ util$(LIBEXT) ieee_float_test$(OBJEXT) ../big-int/bigint$(OBJEXT)
+	$(LINKBIN) util$(LIBEXT) ieee_float_test$(OBJEXT) ../big-int/bigint$(OBJEXT)
