=== debian/changelog ===
cbmc (4.0-4) unstable; urgency=low

  * Rename patches and update description to make dpkg-source happy
    (closes: #643074)

 -- Michael Tautschnig <mt@debian.org>  Sat, 22 Oct 2011 00:51:01 +0100

cbmc (4.0-3) unstable; urgency=low

  * Make sure $(LIBS) occurs at end of linker command line to fix Ubuntu build
    failures

 -- Michael Tautschnig <mt@debian.org>  Sun, 10 Jul 2011 17:22:04 +0200

cbmc (4.0-2) unstable; urgency=low

  * Added missing freebsd kernel define
  * Enable parallel builds

 -- Michael Tautschnig <mt@debian.org>  Wed, 15 Jun 2011 10:40:38 +0200

cbmc (4.0-1) unstable; urgency=low

  * New upstream release (all patches merged)
  * Requires suitable minisat version
  * Working watch file

 -- Michael Tautschnig <mt@debian.org>  Tue, 14 Jun 2011 19:12:10 +0200
