=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: extra
 Maintainer: Michael Tautschnig <mt@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), minisat, zlib1g-dev, flex, bison
+Build-Depends: debhelper (>= 7.0.50~), minisat (>= 1:2.2.1-2), zlib1g-dev, flex, bison
 Standards-Version: 3.9.2
 Homepage: http://www.cprover.org/cbmc/
