=== src/cpp/Makefile ===
--- 
+++ 
@@ -16,20 +16,20 @@
       cpp_final.cpp cpp_typecheck_conversions.cpp\
       cpp_typecheck_declaration.cpp cpp_declarator_converter.cpp \
       cpp_declaration.cpp cpp_namespace_spec.cpp \
-      cpp_typecheck_using.cpp \
+      cpp_typecheck_using.cpp cpp_exception_id.cpp \
       cpp_typecheck_enum_type.cpp cpp_typecheck_bases.cpp \
       cpp_typecheck_constructor.cpp cpp_typecheck_virtual_table.cpp
-
-OBJ = $(SRC:.cpp=$(OBJEXT))
 
 INCLUDES= -I .. -I ../util
 
 include ../config.inc
 include ../common
 
+CLEANFILES = cpp$(LIBEXT) lex.yy.cpp y.tab.cpp.output
+
 all: cpp$(LIBEXT)
 
-GCCFLAGS += -D CPP_SYSTEMC_EXTENSION
+CP_CXXFLAGS += -D CPP_SYSTEMC_EXTENSION
 
 ###############################################################################
 
@@ -41,8 +41,3 @@
 
 lex.yy$(OBJEXT): lex.yy.cpp
 
-clean:
-	rm -f $(OBJ) cpp$(LIBEXT) lex.yy.cpp y.tab.cpp.output
-
-dep: lex.yy.cpp
-
