=== src/goto-cc/Makefile ===
--- 
+++ 
@@ -12,8 +12,7 @@
       xml_binaries/xml_goto_program_hashing.cpp \
       xml_binaries/read_goto_object.cpp
 
-OBJ = $(SRC:.cpp=$(OBJEXT)) \
-      ../big-int/bigint$(OBJEXT) \
+OBJ += ../big-int/bigint$(OBJEXT) \
       ../goto-programs/goto-programs$(LIBEXT) \
       ../pointer-analysis/pointer-analysis$(LIBEXT) \
       ../util/util$(LIBEXT) \
@@ -25,20 +24,20 @@
 
 LIBS =
 
+CLEANFILES = goto-cc$(EXEEXT)
+
 include ../config.inc
 include ../common
 
 all: goto-cc$(EXEEXT)
 
-ifdef MODULE_CPP
+ifneq ($(wildcard ../cpp/Makefile),)
   OBJ += ../cpp/cpp$(LIBEXT)
-  CXXFLAGS += -D HAVE_CPP
+  CP_CXXFLAGS += -D HAVE_CPP
 endif
 
 ###############################################################################
 
 goto-cc$(EXEEXT): $(OBJ)
-	$(LINKBIN) $(OBJ)
+	$(LINKBIN)
 
-clean:
-	rm -f $(SRC:.cpp=$(OBJEXT)) $(SRC:.cpp=.d) goto-cc$(EXEEXT)
