=== src/goto-symex/Makefile ===
--- 
+++ 
@@ -4,14 +4,15 @@
       symex_goto.cpp builtin_functions.cpp slice.cpp symex_other.cpp \
       slice_by_trace.cpp xml_goto_trace.cpp symex_decl.cpp \
       precondition.cpp postcondition.cpp symex_clean_expr.cpp \
-      symex_dereference_state.cpp vcd_goto_trace.cpp auto_objects.cpp
-
-OBJ = $(SRC:.cpp=$(OBJEXT))
+      symex_dereference_state.cpp vcd_goto_trace.cpp auto_objects.cpp \
+      symex_catch.cpp
 
 INCLUDES= -I .. -I ../util
 
 include ../config.inc
 include ../common
+
+CLEANFILES = goto-symex$(LIBEXT)
 
 all: goto-symex$(LIBEXT)
 
@@ -20,6 +21,3 @@
 goto-symex$(LIBEXT): $(OBJ)
 	$(LINKLIB)
 
-clean:
-	rm -f $(OBJ) goto-symex$(LIBEXT)
-
