=== src/pointer-analysis/Makefile ===
--- 
+++ 
@@ -6,12 +6,12 @@
       value_set_analysis_fivrns.cpp value_set_fivrns.cpp \
       value_set_domain_fivrns.cpp
 
-OBJ = $(SRC:.cpp=$(OBJEXT))
-
 INCLUDES= -I .. -I ../util
 
 include ../config.inc
 include ../common
+
+CLEANFILES = pointer-analysis$(LIBEXT)
 
 all: pointer-analysis$(LIBEXT)
 
@@ -20,6 +20,3 @@
 pointer-analysis$(LIBEXT): $(OBJ)
 	$(LINKLIB)
 
-clean:
-	rm -f $(OBJ) pointer-analysis$(LIBEXT)
-
