=== src/solvers/Makefile ===
--- 
+++ 
@@ -1,53 +1,31 @@
 include ../config.inc
-
-all: solvers$(LIBEXT)
+include ../common
 
 ifneq ($(CHAFF),)
   CHAFF_SRC=sat/satcheck_zchaff.cpp sat/satcheck_zcore.cpp
   CHAFF_INCLUDE=-I $(CHAFF)
-  CHAFF_LIB=$(CHAFF)/libsat.a
-endif
-
-ifneq ($(BOOLEFORCE),)
-  BOOLEFORCE_SRC=sat/satcheck_booleforce.cpp
-  BOOLEFORCE_INCLUDE=-I $(BOOLEFORCE)
-  BOOLEFORCE_LIB=$(BOOLEFORCE)/libbooleforce.a
-endif
-
-ifneq ($(Z3),)
-  Z3_SRC=z3/z3_capi.cpp z3/z3_conv.cpp z3/z3_prop.cpp z3/z3_dec.cpp
-  Z3_INCLUDE=-I $(Z3)
-  Z3_LIB=
-  CXXFLAGS += -DHAVE_Z3
-endif
-
-ifneq ($(BOOLECTOR),)
-  BOOLECTOR_SRC=boolector/boolector_get.cpp \
-                boolector/boolector_prop.cpp boolector/boolector_dec.cpp
-  BOOLECTOR_INCLUDE=-I $(BOOLECTOR)
-  BOOLECTOR_LIB=$(BOOLECTOR)/lib/libboolector.a
-  CXXFLAGS += -DHAVE_BOOLECTOR
+  CHAFF_LIB=$(CHAFF)/libsat$(LIBEXT)
 endif
 
 ifneq ($(MINISAT),)
-  MINISAT_SRC=sat/satcheck_minisat.cpp 
+  MINISAT_SRC=sat/satcheck_minisat.cpp
   MINISAT_INCLUDE=-I $(MINISAT)
   MINISAT_LIB=$(MINISAT)/Solver$(OBJEXT) $(MINISAT)/Proof$(OBJEXT) $(MINISAT)/File$(OBJEXT)
-  CXXFLAGS += -DHAVE_MINISAT
+  CP_CXXFLAGS += -DHAVE_MINISAT
 endif
 
 ifneq ($(MINISAT2),)
   MINISAT2_SRC=sat/satcheck_minisat2.cpp
   MINISAT2_INCLUDE=-I $(MINISAT2)
   MINISAT2_LIB=$(MINISAT2)/simp/SimpSolver$(OBJEXT) $(MINISAT2)/core/Solver$(OBJEXT)
-  CXXFLAGS += -DHAVE_MINISAT2 -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS
-  GCCFLAGS := $(filter-out -pedantic, $(GCCFLAGS))
+  CP_CXXFLAGS += -DHAVE_MINISAT2 -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS
+  CXXFLAGS := $(filter-out -pedantic, $(CXXFLAGS))
 endif
 
 ifneq ($(SMVSAT),)
   SMVSAT_SRC=sat/satcheck_smvsat.cpp
   SMVSAT_INCLUDE=-I $(SMVSAT)/include
-  SMVSAT_LIB=$(SMVSAT)/lib/libsmvsat.a
+  SMVSAT_LIB=$(SMVSAT)/lib/libsmvsat$(LIBEXT)
 endif
 
 ifneq ($(SQUOLEM2),)
@@ -65,8 +43,7 @@
 endif
 
 SRC = $(CHAFF_SRC) $(BOOLEFORCE_SRC) $(MINISAT_SRC) $(MINISAT2_SRC) \
-      $(SMVSAT_SRC) $(SQUOLEM2_SRC) $(CUDD_SRC) $(BOOLECTOR_SRC) \
-      $(Z3_SRC) \
+      $(SMVSAT_SRC) $(SQUOLEM2_SRC) $(CUDD_SRC) \
       sat/cnf.cpp sat/dimacs_cnf.cpp sat/cnf_clause_list.cpp \
       sat/pbs_dimacs_cnf.cpp sat/read_dimacs_cnf.cpp \
       sat/resolution_proof.cpp sat/satcheck.cpp \
@@ -102,35 +79,36 @@
       flattening/boolbv_quantifier.cpp flattening/boolbv_struct.cpp \
       flattening/boolbv_byte_update.cpp flattening/boolbv_array_of.cpp \
       flattening/boolbv_map.cpp flattening/boolbv_type.cpp \
-      flattening/boolbv_union.cpp
+      flattening/boolbv_union.cpp flattening/flatten_byte_operators.cpp
 
-OBJ = $(SRC:.cpp=$(OBJEXT))
+INCLUDES= -I .. \
+  $(CHAFF_INCLUDE) $(BOOLEFORCE_INCLUDE) $(MINISAT_INCLUDE) $(MINISAT2_INCLUDE) \
+  $(SMVSAT_INCLUDE) $(SQUOLEM2_INC) $(CUDD_INCLUDE) -I ../util
+
+CLEANFILES = solvers$(LIBEXT)
+
+all: solvers$(LIBEXT)
 
 ifneq ($(SQUOLEM2),)
-  CXXFLAGS += -DHAVE_QBF_CORE
+  CP_CXXFLAGS += -DHAVE_QBF_CORE
 else
 ifneq ($(CUDD),)
-  CXXFLAGS += -DHAVE_QBF_CORE
+  CP_CXXFLAGS += -DHAVE_QBF_CORE
 endif
 endif
 
-ifdef MODULE_FLOATBV
-  CXXFLAGS += -DHAVE_FLOATBV
+ifneq ($(wildcard ../floatbv/Makefile),)
+  CP_CXXFLAGS += -DHAVE_FLOATBV
   OBJ += ../floatbv/floatbv$(LIBEXT)
 endif
 
-INCLUDES= -I .. \
-  $(CHAFF_INCLUDE) $(BOOLEFORCE_INCLUDE) $(MINISAT_INCLUDE) $(MINISAT2_INCLUDE) \
-  $(SMVSAT_INCLUDE) $(SQUOLEM2_INC) $(CUDD_INCLUDE) $(BOOLECTOR_INCLUDE) -I ../util 
+# extra dependencies
 
-include ../common
+-include $(SRC:.cpp=.d)
 
 ###############################################################################
 
 solvers$(LIBEXT): $(OBJ) $(CHAFF_LIB) $(BOOLEFORCE_LIB) $(MINISAT_LIB) \
-        $(MINISAT2_LIB) $(SMVSAT_LIB) $(SQUOLEM2_LIB) $(CUDD_LIB) \
-        $(BOOLECTOR_LIB)
+        $(MINISAT2_LIB) $(SMVSAT_LIB) $(SQUOLEM2_LIB) $(CUDD_LIB)
 	$(LINKLIB)
 
-clean:
-	rm -f $(OBJ) solvers$(LIBEXT)
