=== debian/changelog ===
cbmc (4.1-1) unstable; urgency=low

  * New upstream release (all code patches merged, only build system adaptions
    remain)
  * dh-compat bumped to 9

 -- Michael Tautschnig <mt@debian.org>  Wed, 18 Jan 2012 18:37:41 +0000
