=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+CXXFLAGS = -Wall -O2 -g -Werror -Wno-long-long -Wno-sign-compare -Wno-parentheses -Wno-strict-aliasing -pedantic
+
 %:
-	dh --parallel $@ 
+	dh $@ --parallel
